Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.participant
Class CoordinatorCompletionParticipant

    java.lang.Object
      org.jboss.txbridge.ba.participant.Participant
          org.jboss.txbridge.ba.participant.CoordinatorCompletionParticipant

All Implemented Interfaces:
  com.arjuna.wst.BusinessAgreementWithCoordinatorCompletionParticipant, com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant

    public class CoordinatorCompletionParticipant

extends Participant
implements com.arjuna.wst.BusinessAgreementWithCoordinatorCompletionParticipant

Implementation of the Participant that is enlisted for the Business Agreement with Coordinator Completion protocol.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private static org.apache.log4j.Logger` | `log`

Fields inherited from class org.jboss.txbridge.ba.participant.Participant
`serviceId, sim, stm, taskList`

Constructor Summary
`CoordinatorCompletionParticipant(java.lang.String txId, java.lang.String serviceId, SingleTransactionManager stm, ManagedDataFactory cdf)` Constructor.

Method Summary
`void` | `cancel()`
`void` | `close()`
`void` | `compensate()`
`void` | `complete()`
`void` | `error()`
`java.lang.String` | `status()`
`void` | `unknown()`

Methods inherited from class org.jboss.txbridge.ba.participant.Participant
`associateTask, closeTransaction, compensateTask, compensateTransaction, completeTransaction, completeWork, get, getArguments, getReturn, put, putArguments, putReturn, removeTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static org.apache.log4j.Logger log

Constructor Detail

### CoordinatorCompletionParticipant

    public CoordinatorCompletionParticipant(java.lang.String txId,
                                            java.lang.String serviceId,
                                            SingleTransactionManager stm,
                                            ManagedDataFactory cdf)

  Constructor.

  Parameters:
    `txId` - is the transaction identifier.
    `serviceId` - is the service identifier.
    `stm` - is the single transaction manager.
    `cdf` - is the datamgmt data factory that should be used by the participant

Method Detail

### close

    public void close()
               throws com.arjuna.wst.WrongStateException,
                      com.arjuna.wst.SystemException

  Specified by:
    `close` in interface `com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `com.arjuna.wst.WrongStateException`
    `com.arjuna.wst.SystemException`

### cancel

    public void cancel()
                throws com.arjuna.wst.WrongStateException,
                       com.arjuna.wst.SystemException

  Specified by:
    `cancel` in interface `com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `com.arjuna.wst.WrongStateException`
    `com.arjuna.wst.SystemException`

### compensate

    public void compensate()
                    throws com.arjuna.wst.FaultedException,
                           com.arjuna.wst.WrongStateException,
                           com.arjuna.wst.SystemException

  Specified by:
    `compensate` in interface `com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `com.arjuna.wst.FaultedException`
    `com.arjuna.wst.WrongStateException`
    `com.arjuna.wst.SystemException`

### status

    public java.lang.String status()
                            throws com.arjuna.wst.SystemException

  Specified by:
    `status` in interface `com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `com.arjuna.wst.SystemException`

### unknown

    public void unknown()
                 throws com.arjuna.wst.SystemException

  Specified by:
    `unknown` in interface `com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `com.arjuna.wst.SystemException`

### error

    public void error()
               throws com.arjuna.wst.SystemException

  Specified by:
    `error` in interface `com.arjuna.wst.BusinessAgreementWithParticipantCompletionParticipant`
  Throws:
    `com.arjuna.wst.SystemException`

### complete

    public void complete()
                  throws com.arjuna.wst.WrongStateException,
                         com.arjuna.wst.SystemException

  Specified by:
    `complete` in interface `com.arjuna.wst.BusinessAgreementWithCoordinatorCompletionParticipant`
  Throws:
    `com.arjuna.wst.WrongStateException`
    `com.arjuna.wst.SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD